Bug 864084 - Review Request: maven-native - Compile c and c++ source under Maven
Review Request: maven-native - Compile c and c++ source under Maven
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 985087
  Show dependency treegraph
 
Reported: 2012-10-08 10:25 EDT by gil cattaneo
Modified: 2013-10-05 08:07 EDT (History)
8 users (show)

See Also:
Fixed In Version: maven-native-1.0-0.3.alpha.7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 22:32:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Patch for spec file to get maven-native to build on F18 with Java7 (797 bytes, patch)
2013-04-03 14:13 EDT, Pete MacKinnon
no flags Details | Diff
Test failures (10.41 KB, application/gzip)
2013-06-11 06:34 EDT, Björn "besser82" Esser
no flags Details

  None (edit)
Description gil cattaneo 2012-10-08 10:25:11 EDT
Spec URL: http://gil.fedorapeople.org/maven-native.spec
SRPM URL: http://gil.fedorapeople.org/maven-native-1.0-0.1.alpha.7.fc16.src.rpm
Description: The Codehaus is a collaborative environment for building open source projects
with a strong emphasis on modern languages, focussed on quality components that
meet real world needs.

Maven Native - compile C and C++ source under Maven with compilers such as GCC,
MSVC, GCJ etc ...
Fedora Account System Username: gil
tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4571012
NOTE:
built for f18, in f19, at the moment, there are broken deps:
Error: Package: iproute-3.6.0-2.fc19.x86_64 (build)
           Requires: libxtables.so.7()(64bit)
Comment 1 Mikolaj Izdebski 2012-10-09 10:35:17 EDT
Maven and C, nice :)

Let me know once it builds in rawhide and I'll review this package.
Comment 3 Mikolaj Izdebski 2012-10-30 07:08:05 EDT
I am taking this review.
Comment 4 Mikolaj Izdebski 2012-11-22 07:22:09 EST
I'm sorry, but for now I don't have time to complete this review.
Comment 5 Pete MacKinnon 2013-04-03 14:13:38 EDT
Created attachment 731271 [details]
Patch for spec file to get maven-native to build on F18 with Java7
Comment 6 gil cattaneo 2013-04-03 16:16:52 EDT
Spec URL: http://gil.fedorapeople.org/maven-native/1/maven-native.spec
SRPM URL: http://gil.fedorapeople.org/maven-native/1/maven-native-1.0-0.2.alpha.7.fc18.src.rpm

hi Pete, thanks for your help/patch
but javac target/source is already set by mojo.java.target option
in the mvn comandline... or i miss something ... ?
regards

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=5207540
Comment 7 Pete MacKinnon 2013-04-03 20:23:42 EDT
Ahhh, I'm sorry. I didn't have that in your original spec file. Your property approach is cleaner. Probably don't need my %pom_xpath_inject stanza after all. Whichever way you see fit is fine by me. Thanks.
Comment 9 Björn "besser82" Esser 2013-06-11 06:34:36 EDT
Created attachment 759546 [details]
Test failures

Package has a few issues:

BLOCKERS:
  * Maven packages should use new style packaging
  * License is MIT and ASL 2.0, actually

NON-BLOCKERS / NICE TO HAVE:
  * %doc LICENSE.txt in main- and javadoc-pkg should be enough
  * Maven packages do not need to (Build)Require jpackage-utils.

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven

  ---> update spec accordingly if applicable, please

- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in maven-native-
  components, native-maven-plugin
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage

  ---> false positive: it's in spec, properly.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in maven-
     native-components , native-maven-plugin , maven-native-javadoc

     ---> false positive, see above

[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated". 41 files
     have unknown license. Detailed output of licensecheck in
     /home/bjoern.esser/fedora/review/864084-maven-native/licensecheck.txt

     ---> should be: MIT and ASL 2.0

[x]: License file installed when any subpackage combination is installed.

     ---> %doc LICENSE.txt in main- and javadoc-pkg should be enough,
          no need to have it in the other, too.

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.

     ---> %doc LICENSE.txt, but that's OK to guidelines, see above

[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[!]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.

     ---> build.log shows test are failing, see attachment

[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local

     ---> so remove it, please.

[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: maven-native-1.0-0.2.alpha.7.fc20.noarch.rpm
          maven-native-components-1.0-0.2.alpha.7.fc20.noarch.rpm
          native-maven-plugin-1.0-0.2.alpha.7.fc20.noarch.rpm
          maven-native-javadoc-1.0-0.2.alpha.7.fc20.noarch.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint native-maven-plugin maven-native-components maven-native- 
javadoc maven-native
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
native-maven-plugin (rpmlib, GLIBC filtered):
    bcel
    jpackage-utils
    maven-native
    maven-native-components
    mvn(org.apache.maven:maven-artifact)
    mvn(org.apache.maven:maven-compat)
    mvn(org.apache.maven:maven-core)
    mvn(org.apache.maven:maven-model)
    mvn(org.apache.maven:maven-plugin-api)
    plexus-archiver
    plexus-utils

maven-native-components (rpmlib, GLIBC filtered):
    apache-commons-lang
    jpackage-utils
    maven-native
    plexus-containers-container-default
    plexus-utils

maven-native-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

maven-native (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    plexus-containers-container-default
    plexus-utils



Provides
--------
native-maven-plugin:
    mvn(org.codehaus.mojo:native-maven-plugin)
    native-maven-plugin

maven-native-components:
    maven-native-components
    mvn(org.codehaus.mojo.natives:maven-native-bcc)
    mvn(org.codehaus.mojo.natives:maven-native-components)
    mvn(org.codehaus.mojo.natives:maven-native-generic-c)
    mvn(org.codehaus.mojo.natives:maven-native-javah)
    mvn(org.codehaus.mojo.natives:maven-native-manager)
    mvn(org.codehaus.mojo.natives:maven-native-msvc)

maven-native-javadoc:
    maven-native-javadoc

maven-native:
    maven-native
    mvn(org.codehaus.mojo.natives:maven-native)
    mvn(org.codehaus.mojo.natives:maven-native-api)



Source checksums
----------------
http://repo2.maven.org/maven2/org/codehaus/mojo/natives/maven-native/1.0-alpha-7/maven-native-1.0-alpha-7-source-release.zip :
  CHECKSUM(SHA256) this package     : e1c9cfd7a9afd8b224d9b1af3ae17372779a9ed849d74c634de23e5a2ca782a2
  CHECKSUM(SHA256) upstream package : e1c9cfd7a9afd8b224d9b1af3ae17372779a9ed849d74c634de23e5a2ca782a2


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 864084

#####

Please fix and I'll review again.
Comment 10 gil cattaneo 2013-06-11 06:53:03 EDT
hi

(In reply to Björn Esser from comment #9)
> Created attachment 759546 [details]
> Test failures
> 
> Package has a few issues:
> 
> BLOCKERS:
>   * Maven packages should use new style packaging

i cant use xmvn binary in F18 isn't available

>   * License is MIT and ASL 2.0, actually

Fixed


> Please fix and I'll review again.

Spec URL: http://gil.fedorapeople.org/maven-native/2/maven-native.spec
SRPM URL: http://gil.fedorapeople.org/maven-native/2/maven-native-1.0-0.3.alpha.7.fc18.src.rpm

- fix license tag
Comment 11 Björn "besser82" Esser 2013-06-11 07:08:47 EDT
Hi Gil!

(In reply to gil cattaneo from comment #10)
> i cant use xmvn binary in F18 isn't available

OK, so keep that in mind (or comment in spec) to change when F18 is fading/EOL.

#####
 
How about the test failures in attached build.log? Can I just ignore them or are they mission-critical?

Cheers,
  Björn
Comment 12 gil cattaneo 2013-06-11 07:35:42 EDT
hi Björn
(In reply to Björn Esser from comment #11)
> Hi Gil!
> 
> (In reply to gil cattaneo from comment #10)
> > i cant use xmvn binary in F18 isn't available
> 
> OK, so keep that in mind (or comment in spec) to change when F18 is
> fading/EOL.

thanks!
> #####
>  
> How about the test failures in attached build.log? Can I just ignore them or
> are they mission-critical?
the missing class is provided by mvn(org.apache.maven:maven-artifact).
and for now, only for this case, caused some troubles during the testing,
but the hadhoop packagers not reported relevant problems (work fine)
> 
> Cheers,
>   Björn
Comment 13 Björn "besser82" Esser 2013-06-11 07:51:06 EDT
Package is fine, now. All issues resolved or discussed.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven

  ---> as discussed: fix this when F18 is EOL.

- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in maven-native-
  components, native-maven-plugin
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage

  ---> false positive: is in spec, properly


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in maven-
     native-components , native-maven-plugin , maven-native-javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated". 41 files
     have unknown license. Detailed output of licensecheck in
     /home/bjoern.esser/fedora/review/864084-maven-native/licensecheck.txt

     ---> proper License-tag in spec

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: maven-native-1.0-0.3.alpha.7.fc20.noarch.rpm
          maven-native-components-1.0-0.3.alpha.7.fc20.noarch.rpm
          native-maven-plugin-1.0-0.3.alpha.7.fc20.noarch.rpm
          maven-native-javadoc-1.0-0.3.alpha.7.fc20.noarch.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint native-maven-plugin maven-native-components maven-native- 
javadoc maven-native
4 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
native-maven-plugin (rpmlib, GLIBC filtered):
    jpackage-utils
    maven-native
    maven-native-components
    mvn(bcel:bcel)
    mvn(org.apache.maven:maven-artifact)
    mvn(org.apache.maven:maven-compat)
    mvn(org.apache.maven:maven-core)
    mvn(org.apache.maven:maven-model)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.codehaus.plexus:plexus-archiver)
    mvn(org.codehaus.plexus:plexus-utils)

maven-native-components (rpmlib, GLIBC filtered):
    jpackage-utils
    maven-native
    mvn(commons-lang:commons-lang)
    mvn(org.codehaus.plexus:plexus-container-default)
    mvn(org.codehaus.plexus:plexus-utils)

maven-native-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

maven-native (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.codehaus.plexus:plexus-container-default)
    mvn(org.codehaus.plexus:plexus-utils)



Provides
--------
native-maven-plugin:
    mvn(org.codehaus.mojo:native-maven-plugin)
    native-maven-plugin

maven-native-components:
    maven-native-components
    mvn(org.codehaus.mojo.natives:maven-native-bcc)
    mvn(org.codehaus.mojo.natives:maven-native-components)
    mvn(org.codehaus.mojo.natives:maven-native-generic-c)
    mvn(org.codehaus.mojo.natives:maven-native-javah)
    mvn(org.codehaus.mojo.natives:maven-native-manager)
    mvn(org.codehaus.mojo.natives:maven-native-msvc)

maven-native-javadoc:
    maven-native-javadoc

maven-native:
    maven-native
    mvn(org.codehaus.mojo.natives:maven-native)
    mvn(org.codehaus.mojo.natives:maven-native-api)



Source checksums
----------------
http://repo2.maven.org/maven2/org/codehaus/mojo/natives/maven-native/1.0-alpha-7/maven-native-1.0-alpha-7-source-release.zip :
  CHECKSUM(SHA256) this package     : e1c9cfd7a9afd8b224d9b1af3ae17372779a9ed849d74c634de23e5a2ca782a2
  CHECKSUM(SHA256) upstream package : e1c9cfd7a9afd8b224d9b1af3ae17372779a9ed849d74c634de23e5a2ca782a2


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 864084

#####

The next one is APPROVED!
Comment 14 Björn "besser82" Esser 2013-06-11 07:58:06 EDT
(In reply to gil cattaneo from comment #12)
> the missing class is provided by mvn(org.apache.maven:maven-artifact).
> and for now, only for this case, caused some troubles during the testing,
> but the hadhoop packagers not reported relevant problems (work fine)

Allright! So I ignored them in review. If there are possible issues caused by these hadhoop-packagers will stumble upon them, surely. ;)
Comment 15 gil cattaneo 2013-06-11 08:02:53 EDT
Thanks!

New Package SCM Request
=======================
Package Name: maven-native
Short Description: Compile c and c++ source under Maven
Owners: gil
Branches: f18 f19 f20
InitialCC: java-sig
Comment 16 Jon Ciesla 2013-06-11 08:07:49 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2013-06-11 09:10:38 EDT
maven-native-1.0-0.3.alpha.7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/maven-native-1.0-0.3.alpha.7.fc19
Comment 18 Fedora Update System 2013-06-11 09:30:07 EDT
maven-native-1.0-0.3.alpha.7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/maven-native-1.0-0.3.alpha.7.fc18
Comment 19 Fedora Update System 2013-06-11 13:58:33 EDT
maven-native-1.0-0.3.alpha.7.fc19 has been pushed to the Fedora 19 testing repository.
Comment 20 Fedora Update System 2013-06-19 22:32:14 EDT
maven-native-1.0-0.3.alpha.7.fc18 has been pushed to the Fedora 18 stable repository.
Comment 21 Fedora Update System 2013-06-29 14:12:56 EDT
maven-native-1.0-0.3.alpha.7.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.